Bug 1657558

Summary: ardour5 should obsolete ardour2?
Product: [Fedora] Fedora Reporter: Elliott Sales de Andrade <quantum.analyst>
Component: ardour5Assignee: Nils Philippsen <nphilipp>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: guido.aulisi, nphilipp
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ardour5-5.12.0-10.fc29 ardour5-5.12.0-10.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-01-26 02:14:23 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Elliott Sales de Andrade 2018-12-10 00:38:31 UTC
ardour5 obsoletes ardour3 and ardour4, but not ardour2. There doesn't appear to be any ardour3 builds around, but the last build of ardour2 and ardour4 were in Fedora 28. In git, ardour2 readme says it is obsoleted by ardour5.

Without the obsoletes/provides, the upgrade path from Fedora 28 is broken if ardour2 is already installed.

Comment 1 Elliott Sales de Andrade 2019-01-08 04:57:04 UTC
This is a problem for Fedora 29...

Comment 2 Nils Philippsen 2019-01-08 14:56:17 UTC
Thanks for the PR: https://src.fedoraproject.org/rpms/ardour5/pull-request/1

I've added a comment to it.

Comment 3 Fedora Update System 2019-01-11 11:02:06 UTC
ardour5-5.12.0-10.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a43f8c76d6

Comment 4 Fedora Update System 2019-01-11 11:02:12 UTC
ardour5-5.12.0-10.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-84721de758

Comment 5 Fedora Update System 2019-01-12 02:29:34 UTC
ardour5-5.12.0-10.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a43f8c76d6

Comment 6 Fedora Update System 2019-01-12 02:35:25 UTC
ardour5-5.12.0-10.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-84721de758

Comment 7 Fedora Update System 2019-01-26 02:14:23 UTC
ardour5-5.12.0-10.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-01-26 02:22:10 UTC
ardour5-5.12.0-10.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.